Re: [gentoo-user] can't upgrade to latest pkg

2009-03-23 Thread Daniel Pielmeier
~x86 keywords for exact that version. eix tuxonice-sources * sys-kernel/tuxonice-sources Available versions: (2.6.24-r9) 2.6.24-r9!b!s (2.6.28-r3) (~)2.6.28-r3!b!s (2.6.28-r4) (~)2.6.28-r4!b!s (2.6.28-r5) (~)2.6.28-r5!b!s (2.6.28-r7

[gentoo-user] Re: can't upgrade to latest pkg

2009-03-23 Thread ABCD
=sys-kernel/tuxonice-sources-2.6.28 does not exist :-) With = you set ~x86 keywords for exact that version. eix tuxonice-sources * sys-kernel/tuxonice-sources Available versions: (2.6.24-r9) 2.6.24-r9!b!s (2.6.28-r3) (~)2.6.28-r3!b!s (2.6.28-r4) (~)2.6.28

Re: [gentoo-user] How do I select a GTK 3 theme?

2011-08-02 Thread Sebastian Pipping
[2]. You'll need to handle KEYWORDS= using keywords ** one way or another. Use these packages at your own risk. On 08/02/2011 07:44 PM, Sebastian Pipping wrote: A) /usr/lib64/gtk-3.0/theming-engines/libclearlooks.so B) /usr/lib64/gtk-3.0/3.0.0/engines/libclearlooks.so GTK seems

[gentoo-user] Re: [OT] How to add library to dynamically linked executable?

2015-06-22 Thread Grant Edwards
On 2015-06-22, Bryan Gardiner b...@khumba.net wrote: [...] Actually, scratch all that, NixOS's patchelf command[4] supports editing NEEDED entries now, that'll be the easiest way. [...] [4] https://github.com/NixOS/patchelf Yes! That's exactly what I was looking for, but just couldn't

Re: [gentoo-user] overlay conflicts

2008-11-18 Thread Iain Buchanan
Andrey Vul wrote: Given package ~foo/bar-1.2.3 from overlay A and package **foo/bar-1.2.3 from overlay B, emerge uses the masking in overlay B (**). How do I set it to use overlay A when emerging =foo/bar-1.2.3 (i.e. ~foo/bar-1.2.3) ? it's a hack, but you could edit the overlay ebuild and take

Re: [gentoo-user] overlay conflicts

2008-11-18 Thread Andrey Vul
On Tue, Nov 18, 2008 at 23:03, Iain Buchanan [EMAIL PROTECTED] wrote: Andrey Vul wrote: Given package ~foo/bar-1.2.3 from overlay A and package **foo/bar-1.2.3 from overlay B, emerge uses the masking in overlay B (**). How do I set it to use overlay A when emerging =foo/bar-1.2.3 (i.e. ~foo

Re: [gentoo-user] Re: xfce4 upgrade

2007-02-19 Thread Bo Ørsted Andresen
On Monday 19 February 2007 18:37:32 Grant Edwards wrote: Calculating dependencies... done! [blocks B     ] xfce-extra/xfce4-windowlist (is blocking xfce-base/libxfce4util-4.4.0-r1) Yea, upgrading to XFCE 4.4 is a PITA. The package structure/organization was changed completely, so emerge

Re: [gentoo-user] Re: package.keywords

2009-06-23 Thread Alan McKinnon
On Tuesday 23 June 2009 17:49:40 James wrote: Alan McKinnon alan.mckinnon at gmail.com writes: * removes masking keywords if the package is stable on your arch ~* removes masking keywords if the package is stable on any arch ** removes masking keywords for the package unconditionally

Re: [gentoo-user] Gentoo on a Beaglebone

2012-08-06 Thread meino . cramer
Bryan Gardiner b...@khumba.net [12-08-06 09:24]: On August 6, 2012 06:51:41 AM meino.cra...@gmx.de wrote: What is meant with please convert /etc/portage/package.keywords to a directory What will happen to the contents of that file? What is the name of the directory to create? How can I

Re: [gentoo-user] Spamassassin

2011-01-26 Thread Michael Orlitzky
On 01/26/2011 01:25 PM, meino.cra...@gmx.de wrote: Hi, is it possible to configure Spamassassin to filter out spam-mail, if the mail contains certain keywords and/or the subject line match a certain pattern without diving too deep into the source and the ruleset of spamassassin

[gentoo-user] x11-proto/dri2proto masked but still needed by media-libs/mesa

2018-06-12 Thread Alarig Le Lay
0/0=[abi_x86_32(-),abi_x86_64(-)] I have the last stable version of mesa in the tree: # equery keywords media-libs/mesa Keywords for media-libs/mesa: | a | | |

[gentoo-user] kde 3.5 packages blocking each other

2009-06-12 Thread Francisco Ares
/kdeartwork is blocking kde-base/kdelibs-3.5.10-r6) [blocks B ] kde-base/khelpcenter:3.5 (kde-base/khelpcenter:3.5 is blocking kde-base/kdebase-3.5.9-r4) It looks like there's some issue in some packages being 3.5.10 and all the rest being 3.5.9, but I have no keywords set in /etc/portage

Re: [gentoo-user] Re: Do we have to build gcc with fortran now?

2011-06-22 Thread Mark Knecht
/package.env. No non-matching or empty entries in /etc/portage/package.cflags. The names of all installed packages are in the database. Redundant in /etc/portage/package.{,accept_}keywords: ... considered as REDUNDANT_IF_STRANGE [I] sys-apps/portage (2.2.0_alpha41@06/15/2011): Portage is the package

Re: [gentoo-user] Re: Do we have to build gcc with fortran now?

2011-06-22 Thread Dale
are in the database. Redundant in /etc/portage/package.{,accept_}keywords: ... considered as REDUNDANT_IF_STRANGE [I] sys-apps/portage (2.2.0_alpha41@06/15/2011): Portage is the package management and distribution system for Gentoo No uninstalled entries in /etc/portage/package.{,accept_}keywords

Re: [gentoo-user] Portage issue

2008-02-03 Thread ????????? ???????
need that package, then you can try: echo category/package x86 ~x86 /etc/portage/package.keywords to override it for package in a category. (Note: I've used the unstable ~x86 since the rest of Sabayon is running with unstable keywords anyway). As Gentoo is source based there's good chance

Re: [gentoo-user] blocking conflicts in kde packages when updating world

2011-06-15 Thread ifj. Stefán István
and the blocking packages are: [blocks B ] kde-base/nepomuk:4.4 (kde-base/nepomuk:4.4 is blocking kde-base/nepomuk-4.6.3) [blocks B ] kde-base/khelpcenter:4.4 (kde-base/khelpcenter:4.4 is blocking kde-base/khelpcenter-4.6.3) [blocks B ] kde-base/kdesu:4.6[-kdeprefix] (kde-base/kdesu:4.6

Re: [gentoo-user] where is the functionality of etcat

2005-07-12 Thread Tom Wesley
and is very useful when people ask on irc why a certain package version can't be installed on their arch. Sample output: [EMAIL PROTECTED] ~ 0 0.67 $ eshowkw gnome Keywords for gnome-base/gnome: | a a a h i m m p p p p s s s x x x x | l m r p a 6 i p p p p 3 h p 8 8 8 8

Re: [gentoo-user] where is the functionality of etcat

2005-07-13 Thread Rudmer van Dijk
0.67 $ eshowkw gnome Keywords for gnome-base/gnome: | a a a h i m m p p p p s s s x x x x | l m r p a 6 i p p p p 3 h p 8 8 8 8 | p d m p 6 8 p c c c c 9 a 6 6 6 6 | h 6 a 4 k s 6 - - 0 r - - - | a 4 4 m o

Re: [gentoo-user] Modifying LiveCDs

2011-09-23 Thread Michael Mol
=build+your+own+live+cd+gentoo Not so useful, thanks. Google fails me regularly. Personalized searches are getting to be a real sore spot for me; not just mine, but those of people pointing me at Google assuming my searches for the same keywords will get the same results. Particular grating is when

Re: [gentoo-user] Modifying LiveCDs

2011-09-23 Thread Jonas de Buhr
http://lmgtfy.com/?q=build+your+own+live+cd+gentoo Not so useful, thanks. Google fails me regularly. Personalized searches are getting to be a real sore spot for me; not just mine, but those of people pointing me at Google assuming my searches for the same keywords will get the same results

Re: [gentoo-user] Is this a portage bug?

2018-08-15 Thread Peter Humphrey
ere is no package matching your query. > > Alternatives for future use in such cases: > ❯ epkginfo -k kyocera-1x2x-mfp-driver > * net-print/kyocera-1x2x-mfp-driver [gentoo] > 1.1203-r1:0: ~amd64 -* > > ❯ equery y kyocera-1x2x-mfp-

Re: [gentoo-user] Modifying LiveCDs

2011-09-23 Thread Michael Mol
at Google assuming my searches for the same keywords will get the same results. Particular grating is when someone sends me a link to a search, then the link to what I was looking for, and says something like first hit. My first *page* didn't even have that link on it. well... i didn't know if it was ok

Re: [gentoo-user] Is this a portage bug?

2018-08-15 Thread Franz Fellner
yocera-1x2x-mfp-driver * net-print/kyocera-1x2x-mfp-driver [gentoo] 1.1203-r1:0: ~amd64 -* ❯ equery y kyocera-1x2x-mfp-driver Keywords for net-print/kyocera-1x2x-mfp-driver: | a | | | m | | |

Re: [gentoo-user] Re: xfce4 upgrade

2007-02-23 Thread Douglas Linford
/overlays/ebuildexchange/xfce-base/xfce4-panel/Manifest' \!!! Manifest file not found: '/usr/local/overlays/ebuildexchange/xfce-base/xfdesktop/Manifest' \!!! Manifest file not found: '/usr/local/overlays/ebuildexchange/xfce-base/xfce-utils/Manifest' ... done! [blocks B ] xfce-extra/xfce4

[gentoo-user] Re: Created an ebuild for Courier-Imap 4.1.0

2006-03-11 Thread Peter
://courier-mta.org/imap/ and run ebuild digest on it if you decide to use it. James A few notes on your bugzilla submission. 1) The component should be Ebuild 2) After you submit the original bug, edit the Keywords field and add EBUILD and submit again. I know, it's redundant, but that's the way

Re: [gentoo-user] preventing upgrade

2006-04-06 Thread Daniel da Veiga
~x86, because this keywords are not applicable in this file, each line contains an application that should be blocked from being emerged, that's all, if you add a , or =, you specify if versions greater, lower or equal to the one you put in the line should be masked too. and it still wants

Re: [gentoo-user] Re: Gentoo is the best linux distro

2012-09-12 Thread Dale
version of a library but package B requires a different version. You then spend _days_ trying to find a compatible combination of applicaation and library RPMs. This continues to get worse and worse over time, until... ... there's a major version upgrade. Upgrading between major versions

Re: [gentoo-user] [~amd64] Anyone survive the big gnome update from this morning (July 25)?

2013-07-26 Thread Stefan G. Weichinger
gnome-shell-3.8.3-r2 got keywords changed ... right? I am sure you already did the usual revdep-rebuild-stuff etc? Stefan

[gentoo-user] Re: Get off my lawn?

2015-01-17 Thread Grant Edwards
selected the symbol _between_ the marks. Something like this: [ ]A[ ] 0 P [ ]B[ ] 1 Q [ ]C[ ] 2 R [ ]D[ ]--- 3 S Mark these two for 'S' [ ]E[ ]--- . . . [ ]J[ ] 9 Y [ ]K[ ] * Z [ ]L[ ] / ) [ ]M[ ] + ( [ ]N

Re: [gentoo-user] Linode discontinuing Xen, migrating to KVM

2017-10-02 Thread Stroller
? If so, their > tool should (hopefully) handle that change. See last lines: ~ $ grep -B 25 -ie xen -ie kvm /etc/rc.conf # This is mainly used for saying which services do NOT provide net. #rc_net_tap0_provide="!net" # This is the subsystem type. # It is used to match agains

Re: [gentoo-user] How to resume 'emerge -e @world' after grub fails?

2017-12-20 Thread David Haller
ctually uses >> GCC 5.4.0, regardless of what your system compiler is (6.4.0 for >> profile 17.0): >> >> # We need gcc-5 because of Java >> export PATH="$(gcc-config -B 5.4.0):${PATH}" > >Yes, but you can change this to > >RDEP

[gentoo-user] Help with eix-test-obsolete

2011-01-05 Thread Francesco Talamona
/portage/package.cflags. The names of all installed packages are in the database. Redundant in /etc/portage/package.{,accept_}keywords: ... considered as REDUNDANT_IF_WEAKER [I] sys-apps/portage (2.2.0_alph...@01/01/2011): Portage is the package management and distribution system for Gentoo

[gentoo-user] Downgrading from ~x86 to x86

2009-04-20 Thread daid kahl
process is still underway), but Google was of no avail to most the problems, and I just winged most of it with intuitive order of reinstall, repeated revdep-rebuilds, and using equery b on the libraries causing errors. My question is, when downgrading (upgrading?) from unstable to stable, especially

Re: [gentoo-user] Downgrading from ~x86 to x86

2009-04-20 Thread Andrey Falko
in the process). In the end, it all worked out (the gnome libraries that is, the general process is still underway), but Google was of no avail to most the problems, and I just winged most of it with intuitive order of reinstall, repeated revdep-rebuilds, and using equery b on the libraries causing

Re: [gentoo-user] eselect vs eselect-opengl (or Why does xterm deeply depend on eselect-opengl)

2006-10-06 Thread Justin Patrin
dependencies... done! [blocks B ] =app-admin/eselect-1.0.3 (is blocking app-admin/eselect-opengl-1.0.3) [nomerge ] x11-terms/xterm-218 USE=truetype -Xaw3d -paste64 -toolbar -unicode [nomerge ] sys-libs/libutempter-1.1.4.1 [nomerge ] app-arch/rpm2targz-9.0-r3 [nomerge

Re: [gentoo-user] using package.provided

2006-12-21 Thread Neil Bothwick
but that's all part of normal gentoo usage anyway. [...] In the event user runs with ~ARCHITECTURE flag set then masking won't do it... right? Wrong. Package masking is independent of keyword masking. Adding an atom to package.mask will mask all matching versions, no matter what their keywords

[gentoo-user] Re: Gentoo is the best linux distro

2012-09-12 Thread Grant Edwards
but package B requires a different version. You then spend _days_ trying to find a compatible combination of applicaation and library RPMs. This continues to get worse and worse over time, until... ... there's a major version upgrade. Upgrading between major versions always failed miserably, so you end

Re: [gentoo-user] Compilation error with StructureSynth

2017-10-31 Thread David Haller
ublic License v2 EAPI=4 inherit eutils qt4-r2 MY_P="StructureSynth-Source-v${PV}" DESCRIPTION="A program to generate 3D structures by specifying a design grammar" HOMEPAGE="http://structuresynth.sourceforge.net/; SRC_URI="mirror://sourceforge/structuresynth/${

Re: [gentoo-user] Modifying LiveCDs

2011-09-23 Thread Mick
keywords will get the same results. Particular grating is when someone sends me a link to a search, then the link to what I was looking for, and says something like first hit. My first *page* didn't even have that link on it. /rant This is because Google uses geo-targeting to determine what

[gentoo-user] Shutdown pauses partway with Give root password

2006-05-09 Thread glen martin
it on shutdown itself. I've never even heard of this, and searching google I haven't found any reference to it. It isn't happening every time - it'll go 2 or 3 or 6 (but certainly not 4 or 5 :b) times with clean predictable shutdowns. I can't tell that anything is different in the times I shutdown

[gentoo-user] Newbie ebuild question

2006-08-18 Thread Jules Colding
Hi, I am trying to create an ebuild file for evolution-brutus. It is presently looking like this (with comments removed): ### e-b ebuild start inherit eutils flag-o-matic DESCRIPTION=Brutus Exchange connector for Evolution 2.4 and 2.6 HOMEPAGE=http

Re: [gentoo-user] Newbie ebuild question

2006-08-21 Thread Jules Colding
Andrew On 8/18/06, Jules Colding [EMAIL PROTECTED] wrote: Hi, I am trying to create an ebuild file for evolution-brutus. It is presently looking like this (with comments removed): ### e-b ebuild start

Re: [gentoo-user] re: resolving blocked packages [media-video/ffmpeg-1.2:0]

2013-11-02 Thread Alexander Kapshuk
-mmxext -pic -static-libs [ebuild U ~] media-video/vlc-2.1.0 [2.0.9] USE=-chromaprint% -fdk% -opencv% (-qt5) -rdp% {-test%} -vdpau% [blocks B ] media-video/ffmpeg-1.2:0 (media-video/ffmpeg-1.2:0 is blocking media-video/vlc-2.1.0) [blocks B ] media-video/ffmpeg:0 (media-video/ffmpeg:0

Re: [gentoo-user] kactivitymanagerd endless update loop

2016-08-14 Thread David Haller
<<'EOF' > kactivitymanagerd-4.13.3-r1.ebuild EAPI="5" DESCRIPTION="KDE4 Activity Manager Daemon dummy ebuild" KEYWORDS="amd64 ~arm ~ppc ~ppc64 x86 ~x86-fbsd ~amd64-linux ~x86-linux" SLOT="4/4.13" DEPEND="=kde-base/kactivitymanagerd-${PVR}"

[gentoo-user] Lock-ups using laptop-mode - PATCH

2005-10-14 Thread Remy Blank
address for a timely response. # Copyright 1999-2005 Gentoo Foundation # Distributed under the terms of the GNU General Public License v2 # $Header: $ ETYPE=sources K_WANT_GENPATCHES=base extras K_GENPATCHES_VER=14 IUSE=ultra1 inherit kernel-2 eutils detect_version detect_arch KEYWORDS=amd64

[gentoo-user] Re: Beta test Gentoo with mdev instead of udev; version 2

2011-11-21 Thread waltdnes
busybox-1.19.2 in /etc/portage/package.keywords E.g. if you're using 32-bit Gentoo on Intel, the incantation is... =sys-apps/busybox-1.19.2 ~x86 Change the ~x86 to reflect your architecture, etc. B) busybox requires the mdev flag in this situation. The static flag is probably also

[gentoo-user] Re: Beta test Gentoo with mdev instead of udev; version 3

2011-12-01 Thread Walter Dnes
in /etc/portage/package.keywords E.g. if you're using 32-bit Gentoo on Intel, the incantation is... =sys-apps/busybox-1.19.2 ~x86 Change the ~x86 to reflect your architecture, etc. B) busybox requires the mdev flag in this situation. The static flag is probably also a good idea

Re: [gentoo-user] Installing outside of Portage cruft removal

2009-01-26 Thread Dale
) # Messages about files messages=( unnecessary keywords needlessly unmasked packages needlessly masked packages unnecessary use flags repeat cflags repeat cxxflags repeat ldflags ) # Generally needed progs neededprogs=( sed awk grep egrep sort uniq tail head xargs ) if [ $UID -ne 0

Re: [gentoo-user] Wrong dependencies to postgresql

2006-12-24 Thread Enrico Weigelt
against libpg? I'm still in the process. The lack of automatic cleanroom builds requires me to install an minimal jail before each build. (most of my gentoo systems actually have postgresql server running) b) many apps (ie. webapps like bugzilla) have postgresql as dep., although they do

Re: [gentoo-user] New xorg-proto package blocks everything else.

2018-03-25 Thread Franz Fellner
package.accept-keywords) and selectively masking. 2018-03-25 20:58 GMT+03:00 gevisz <gev...@gmail.com>: > 2018-03-25 20:38 GMT+03:00 gevisz <gev...@gmail.com>: > > 2018-03-25 15:50 GMT+03:00 Neil Bothwick <n...@digimed.co.uk>: > >> On Sun, 25 M

Re: [gentoo-user] New xorg-proto package blocks everything else.

2018-03-25 Thread gevisz
something does prevent it from being merged. > I am running partly testing and the time xorg-proto was added I had to deal > with hard blocks which I circumvented by un-keywording (remove from > package.accept-keywords) and selectively masking. I have not understood the above commen

[gentoo-user] emerge mc: undefined reference to `write_socket'

2006-01-22 Thread saf
=${CFLAGS} # Advanced Masking # # # Gentoo is using a new masking system to allow for easier stability testing # on packages. KEYWORDS are used in ebuilds to mask and unmask packages based # on the platform they are set for. A special form has been added that # indicates packages

Re: [gentoo-user] elog saves messages in wrong folder

2006-09-25 Thread Philip Webb
testing # on packages. KEYWORDS are used in ebuilds to mask and unmask packages based # on the platform they are set for. A special form has been added that # indicates packages and revisions that are expected to work, but have not yet # been approved for the stable set. '~arch' is a superset of 'arch

Re: [gentoo-ppc-user] newbie help with emerge --update --deep --newuse world

2006-08-02 Thread David B?langer
Hi Daryl, The builds fail. Could be a bug in Gentoo, a misconfiguration, etc. I do not have the answer of what is going on wrong in this case, maybe someone else will know. I will do the following suggestions though. 1) Remove ~ppc64 from your keywords or try the glibc marked stable (ppc64

Re: [gentoo-user] Failed to emerge sys-devel/gcc-4.4.5

2011-04-04 Thread Pandu Poluan
) (-multilib) -multislot (-n32) (-n64) -nocxx -nopie -nossp -objc -objc++ -objc-gc -test -vanilla # build.log --snip-- /var/tmp/portage/sys-devel/gcc-4.4.5/work/build/./prev-gcc/xgcc -B/var/tmp/portage/sys-devel/gcc-4.4.5/work/build/./prev-gcc/ -B/usr/x86_64-pc-linux-gnu/bin/ -c -DEFAULT_PIE_SSP

Re: [gentoo-user] Re: checking whether the C compiler works... no Oooops !!

2011-05-06 Thread Dale
} = \${port} ]] port=22 ; exec rsync --rsh=\ssh -p\${port}\ -avP \\${host}:/\${x#*/}\ \\$1\ rsync ${DISTDIR}/${FILE} ${URI} KEYWORDS=alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~sparc-fbsd -x86-fbsd A=sandbox-2.4.tar.xz LDFLAGS=-Wl,-O1 -Wl,--as-needed NUT_DRIVERS=cyberpower

[gentoo-user] Problems compiling clozurecl on ARMboard (Arietta G25)

2015-06-05 Thread Meino . Cramer
-x KERNEL=linux declare -x KERNEL_ABI=arm declare -x KEYWORDS=~amd64 ~x86 declare -x KFORTH_DIR=/usr/share/kForth declare -x LCD_DEVICES=bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text declare -x LC_ALL= declare -x LC_COLLATE=C declare -x LC_CTYPE=de_DE.utf8 declare -x

[gentoo-user] install problem: dev-texlive/texlive-basic-2017-r1

2018-03-14 Thread karl
FILESIZE="2000" declare -x HISTSIZE="2000" declare HOMEPAGE="http://www.tug.org/texlive/; declare -x HUSHLOGIN="FALSE" declare -x INHERITED=" texlive-common desktop estack epatch toolchain-funcs multilib ltprune preserve-libs vcs-clean eutils texlive-mod

Re: [gentoo-user] OT: GCC 5 Offloading

2015-09-15 Thread Fernando Rodriguez
--without-headers ) elif built_with_use --hidden --missing false ${CATEGORY}/${needed_libc} crosscompile_opts_headers-only ; then confgcc+=(

[gentoo-user] Building mongodb-3.4.2 scons error

2017-03-12 Thread Dick Middleton
t; declare -x IUSE_EFFECTIVE="abi_x86_64 alpha amd64 amd64-fbsd amd64-linux arm arm-linux arm64 debug elibc_AIX elibc_Cygwin elibc_Darwin elibc_DragonFly elibc_FreeBSD elibc_HPUX elibc_Interix elibc_NetBSD elibc_OpenBSD elibc_SunOS elibc_Winnt elibc_bionic elibc_glibc elibc_mingw elibc_mintlib e

[gentoo-user] Several packages failing to build

2018-05-14 Thread Elijah Mark Anderson
uot;\\\$1\\\"\" rsync \"\${DISTDIR}/\${FILE}\" \"\${URI}\" \"\${PORTAGE_SSH_OPTS}\"" declare -x FFLAGS="-O2 -pipe" declare -x FFTOOLS="" declare -x GCC_SPECS="" declare -x GPSD_PROTOCOLS="" declare -x GRUB_PLATFORM